Subject: Re: bug#64713: 30.0.50; Modeline position not being updated while using mode-line-format-right-align

From: Eli Zaretskii <[email-masked]>
Date: Wed, 26 Jul 2023 16:49:30 +0300

> Cc: [email-masked], [email-masked]
> Date: Tue, 18 Jul 2023 21:09:47 +0300
> From: Eli Zaretskii <[email-masked]>
> 
> > > (setq mode-line-format '("%e" mode-line-front-space
> > >  (:propertize
> > >   ("" mode-line-mule-info mode-line-client mode-line-modified
> > >    mode-line-remote)
> > >   display (min-width (5.0)))
> > >  mode-line-frame-identification mode-line-buffer-identification "   "
> > >  mode-line-position
> > >  mode-line-format-right-align
> > >  (vc-mode vc-mode) "  " mode-line-modes
> > >  mode-line-misc-info mode-line-end-spaces))
> > > 
> > > Notice that mode-line-format-right-align was added just after
> > > mode-line-position.
> > 
> > Hugo, can you please look into this?
> 
> Actually, I think I just fixed this.

No further comments, so I presume the problem is indeed solved, and
I'm closing this bug.